SQL problem with new version

Discussion in 'Questions (Windows Mobile)' started by HARRY, Dec 27, 2007.

  1. HARRY

    HARRY Active Member Licensed User

    Hi Erel,

    Thanks for the new version; in general it works fast and fine with my programs. However, one program which runs fine under the previous version, does run in test mode under the new version but will not compile any more.
    I get the message (translated in English):

    "Error compiling program.
    Error message: error CS0234. The type or the name of the name space SQLite does not exist in the name space System.Data (is an assembly reference missing?)
    Line number: 46
    Line:cmd.New1 ("Select * from WPOILABEL_V1", con Value)"

    Looking in software the following Microsoft.Net software have been installed:


    Framework 1.1 No size indicated!?
    Framework 1.1 Hotfix (KB928366) No size indicated!?
    Framework 2.0
    Framework 2.0 Language Pack - NLD
    Compact Framework 2.0 SP2

    Do you have any idea what is wrong?

    Thanks for your help,

    Harry
     
  2. Erel

    Erel Administrator Staff Member Licensed User

    You should replace the old SQLDesktop / SQLDevice files with the new ones.
    You could find the new files under: C:\Program Files\Anywhere Software\Basic4ppc Desktop\Libraries
     
  3. HARRY

    HARRY Active Member Licensed User

    Erel,

    As you suggested I replaced the SQL libraries with the new ones; it appeared however that only the device version is different (now 1.0.2885.27816) the desktop version still is 1.0.0.0.

    Compiling for the desktop I get the error message mentioned before; compiling for the device I get a somewhat different error message ( translated in English):"Error CS 0246 The type or the name space name is not found (Is a usage instruction or assembly reference missing?)"

    By the way, compiling not Optimized works well.

    Harry
     
  4. Erel

    Erel Administrator Staff Member Licensed User

    Please make sure that you replace SQLDesktop.dll with the new one (the file version could be the same). Otherwise you will see this error.
     
  5. HARRY

    HARRY Active Member Licensed User

    Erel,

    Problem is solved. Apparently something went wrong while installing version 6. The, or at least these libraries were not updated. I installed version 6 again and with these libraries it works fine now,
    Thanks for your help,

    Harry
     
Loading...